declare namespace _exports {
    export { HeadingIdOptions, HashLinkOptions };
}
declare const _exports: import('markdown-it').PluginWithOptions<HeadingIdOptions>;
export = _exports;
type HeadingIdOptions = {
    /**
     * Override default hash link options.
     */
    hashLink?: HashLinkOptions;
    /**
     * Custom function to convert heading content to a slug Id.
     */
    sluggify?: (arg0: string) => string;
};
type HashLinkOptions = {
    /**
     * Max heading level to generate hash links for.
     */
    maxLevel?: number;
    /**
     * Class name to use on the hash link.
     */
    class?: string;
    /**
     * Position of the hash link relative to the heading.
     */
    position?: 'before' | 'after';
    /**
     * Whether to link the heading text to the hash link.
     */
    linkHeading?: boolean;
    /**
     * Whether to write the hash link to the clipboard on click.
     */
    clipboard?: boolean;
};
