/**
 * All languages that Prism supports.
 *
 * @type {Readonly<Set<string>>}
 */
export const languages: Readonly<Set<string>>;
/**
 * Mapped Prism aliases to their language.
 *
 * @type {Readonly<Map<string, string>>}
 */
export const languageAliases: Readonly<Map<string, string>>;
/**
 * Get all language dependencies for a Prism given language.
 *
 * @param {string} lang Prism language name to get dependencies for.
 * @param {boolean} [optional=true] Whether to include optional dependencies.
 * @returns {string[]}
 */
export function getDependencies(lang: string, optional?: boolean): string[];
